apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: todo-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  rules:
    - host: apitodo.servisimyolda.net
      http:
        paths:
          - path: /list
            pathType: ImplementationSpecific
            backend:
              service:
                name: todo-api-service
                port:
                  number: 12345
          - path: /task
            pathType: ImplementationSpecific
            backend:
              service:
                name: todo-api-service
                port:
                  number: 12345
          - path: /
            pathType: ImplementationSpecific
            backend:
              service:
                name: todo-api-service
                port:
                  number: 12345
    - host: todo.servisimyolda.net
      http:
        paths:
          - path:
            pathType: ImplementationSpecific
            backend:
              service:
                name: todo-gui-service
                port:
                  number: 3000
